/*******************************************************************************
* Program Id: cleanstr.c
*    Version: 1.00
********************************************************************************
*
*    Purpose: Removes all characters above ASCII 127 and below ASCII 32 with the
*             exception of ASCII 13 (\r).  Needed as lots of control codes and
*             a few of the upper ASCII characters are trapped with Clipper's SET
*             KEY feature to do something else.
*
********************************************************************************
* Date     Name Description
*
* 09/24/87 rvh  Original program
******************************************************************************/
#include <extend.h>

void cleanstr()
{
   char *p, *p1, *p2;

   if ( PCOUNT < 1 || ! ISCHAR(1) )
      _retc( "" );
   else
   {
      p = _parc(1);

      for ( p1 = p2 = p; *p2; p2++ )
         if ( (*p2 >= ' ' && *p2 <= '~') || *p2 == '\r' )
            *p1++ = *p2;

      *p1 = '\0';
      _retc( p );
   }
}
